MONGOC_CURSOR_GET_HINT(3)

NAME
mongoc_cursor_get_hint - mongoc_cursor_get_hint()

SYNOPSIS

uint32_t
mongoc_cursor_get_hint (const mongoc_cursor_t *cursor);

PARAMETERS

•   cursor: A mongoc_cursor_t.

DESCRIPTION

Retrieves the opaque id of the server used for the operation.

(The function name includes the old term "hint" for the sake of backward compatibility, but we now call this number a "server id".)

This number is zero until the driver actually uses a server when executing the find operation or mongoc_cursor_set_hint is called.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc